Package org.simpleframework.util.thread

## Class DirectExecutor

- java.lang.Object
- - org.simpleframework.util.thread.DirectExecutor

- All Implemented Interfaces:
    `java.util.concurrent.Executor`

      public class DirectExecutor
      extends java.lang.Object
      implements java.util.concurrent.Executor

  The `DirectExecutor` object is used for synchronous execution of tasks. This simple acts as an adapter for running a `Runnable` implementation and can be used wherever the executor interface is required.
  Author:
    Niall Gallagher

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DirectExecutor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(java.lang.Runnable task)` | This will execute the provided `Runnable` within the current thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectExecutor

          public DirectExecutor()

  - ### Method Detail

    - #### execute

          public void execute​(java.lang.Runnable task)

      This will execute the provided `Runnable` within the current thread. This implementation will simple invoke the run method of the task and wait for it to complete.
      Specified by:
        `execute` in interface `java.util.concurrent.Executor`
      Parameters:
        `task` - this is the task that is to be executed